"""
Created on Wed Feb 22 17:03:49 2017

@author: kanishka
""" 

import numpy as np
import matplotlib.pyplot as plt
import scipy.stats as sta
from scipy.optimize import curve_fit

from mpl_toolkits.mplot3d import Axes3D

import itertools
import six

import pandas as pd

dt=1./10**7 #.01 ms


c=244.49539061

total_number=300
tau_RyR_steps=int(0.010/dt)    #10ms
N_shotsvector=range(25)

for jj in range(1):
    #jj=jj+4
    N_shots=25

    times =np.linspace(0,2,N_shots) 
    y=c*(np.exp(-2.3*times )-np.exp(-2.31*times ))
    
    input_times1=(times/dt).astype(int)
    input_times=[]
    
    input_ion_numbers1=np.round(y*total_number/np.sum(y)).astype(int)
    
    for uu in range(len(times)-1):
        eachtimes=np.array(np.random.uniform(input_times1[uu],input_times1[uu+1], input_ion_numbers1[uu]))
        if len(eachtimes)>0:
            input_times.append((eachtimes.astype(int)).tolist())
    
    input_times=list(itertools.chain.from_iterable(input_times))
    input_times.append(input_times[-1]+input_times[5])
    input_times=np.sort(input_times)
    
    runfile('/media/kanishkacb/Data new/basnayak/Dropbox/STIM_ORAI/fig2s_comparison_poisson/main_funcs_slow_input_poisson.py', wdir='/media/kanishkacb/Data new/basnayak/Dropbox/STIM_ORAI/fig2s_comparison_poisson')

    #change file names as created by double_expo_poisson_create

    file_name="D20nm_Nserca36_N300_pois_RyR_opn_time_step"+ str(jj )+".txt"
    print file_name
    np.savetxt(file_name,np.array([RyR_opn_time]),fmt='%1.1f')
    
    file_name="D20nm_Nserca36_N300_pois_last_time_step_simulated"+ str(jj )+".txt"
    print file_name
    np.savetxt(file_name,np.array([tt]),fmt='%1.1f')
    
    file_name="D20nm_Nserca36_N300_pois_double_expo_Ca_head"+ str(jj )+".txt"
    print file_name
    np.savetxt(file_name,Ca_H , delimiter="\t",fmt='%1.1f')
    
    file_name="D20nm_Nserca36_N300_pois_double_expo_Ca_base"+ str(jj )+".txt"
    print file_name
    np.savetxt(file_name,Ca_base , delimiter="\t",fmt='%1.1f')   #this was caT
    
    file_name="D20nm_Nserca36_N300_pois_double_expo_CainsideER"+ str(jj)+".txt"
    print file_name
    np.savetxt(file_name,Ca_inER , delimiter="\t",fmt='%1.1f')
    
    file_name="D20nm_Nserca36_N300_pois_double_expo_Ca_SERCA"+ str(jj)+".txt"
    print file_name
    np.savetxt(file_name,Ca_SERCA_times, delimiter="\t",fmt='%1.1f')
    
    file_name="D20nm_Nserca36_N300_pois_double_expo_Ca_pumptake"+ str(jj)+".txt"
    print file_name
    np.savetxt(file_name,Ex_crosstimes, delimiter="\t",fmt='%1.1f')
    
    file_name="D20nm_Nserca36_N300_pois_double_expo_jumptimes"+ str(jj)+".txt"
    print file_name
    np.savetxt(file_name,jumptimes, delimiter="\t" )
    
    file_name="D20nm_Nserca36_N300_pois_double_expo_jumpsteps"+ str(jj)+".txt"
    print file_name
    np.savetxt(file_name,jumpsteps, delimiter="\t" )
    