 
"""
Created on Wed Feb 22 17:03:49 2017

@author: kanishka
"""
 
import numpy as np
import matplotlib.pyplot as plt
import scipy.stats as sta

 
C_ers=np.array([-730, -680,-650,-600, -500])+750 #these are distances from membrane to ER center

RyR_Openprob=[]
error_times=[]
RyR_Opentime=[]
CainER=[]
error_CaER=[]

N_part=500
for ii in range(len(C_ers)):
    file_name="Ca_inER_RyR_bindingtime_10ms_doubleexpo2s_poisson"+str(N_part)+"_dist"+str(C_ers[ii])+".txt"  #print file_name
    CainER_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500=(np.loadtxt(file_name, delimiter=",", unpack=False)-1000 )/N_part
    
    file_name="RyR_opn_time_RyR_bindingtime_10ms_doubleexpo2s_poisson"+str(N_part)+"_dist"+str(C_ers[ii])+".txt"  #print file_name
    RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500=np.loadtxt(file_name, delimiter=",", unpack=False) 
    
    print(len(CainER_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500))
    CainER.append( np.mean(CainER_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500[np.where(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500==0)]))
    error_CaER.append((sta.sem(CainER_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500[np.where(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500==0)],axis=0)))
    
plt.errorbar(C_ers, CainER, yerr=error_CaER,color='b',label='N=500',linewidth=10) 
#plt.ylim([0,15])
 

RyR_Openprob=[]
error_times=[]
RyR_Opentime=[]
CainER=[]
error_CaER=[]

N_part=300
for ii in range(len(C_ers)):
    file_name="Ca_inER_RyR_bindingtime_10ms_doubleexpo2s_poisson"+str(N_part)+"_dist"+str(C_ers[ii])+".txt"  #print file_name
    CainER_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500=(np.loadtxt(file_name, delimiter=",", unpack=False)-1000 )/N_part
    
    file_name="RyR_opn_time_RyR_bindingtime_10ms_doubleexpo2s_poisson"+str(N_part)+"_dist"+str(C_ers[ii])+".txt"  #print file_name
    RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500=np.loadtxt(file_name, delimiter=",", unpack=False) 
    
    print(len(CainER_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500))
    CainER.append( np.mean(CainER_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500[np.where(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500==0)]))
    error_CaER.append((sta.sem(CainER_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500[np.where(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500==0)],axis=0)))
    
  #  RyR_Openprob.append(1.0*np.sum(np.array(CainER_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500)<0)/len(CainER_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500) )
 
 
plt.errorbar(C_ers, CainER, yerr=error_CaER,color='r',label='N=300',linewidth=10) 


RyR_Openprob=[]
error_times=[]
RyR_Opentime=[]
CainER=[]
error_CaER=[]

N_part=100
for ii in range(len(C_ers)):
    file_name="Ca_inER_RyR_bindingtime_10ms_doubleexpo2s_poisson"+str(N_part)+"_dist"+str(C_ers[ii])+".txt"  #print file_name
    CainER_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500=(np.loadtxt(file_name, delimiter=",", unpack=False)-1000 )/N_part
    
    file_name="RyR_opn_time_RyR_bindingtime_10ms_doubleexpo2s_poisson"+str(N_part)+"_dist"+str(C_ers[ii])+".txt"  #print file_name
    RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500=np.loadtxt(file_name, delimiter=",", unpack=False) 
    
    print(len(CainER_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500))
    CainER.append( np.mean(CainER_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500[np.where(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500==0)]))
    error_CaER.append((sta.sem(CainER_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500[np.where(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500==0)],axis=0)))
     
plt.errorbar(C_ers, CainER, yerr=error_CaER,color='black',label='N=100',linewidth=10) 
 
  

RyR_Openprob=[]
error_times=[]
RyR_Opentime=[]
CainER=[]
error_CaER=[]

N_part=100
for ii in range(len(C_ers)):
    file_name="Ca_inER_RyR_bindingtime_10ms_doubleexpo2s_poisson"+str(N_part)+"_dist"+str(C_ers[ii])+"_NOPUMPS.txt"  #print file_name
    CainER_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500=(np.loadtxt(file_name, delimiter=",", unpack=False)-1000 )/N_part
    
    file_name="RyR_opn_time_RyR_bindingtime_10ms_doubleexpo2s_poisson"+str(N_part)+"_dist"+str(C_ers[ii])+"_NOPUMPS.txt"  #print file_name
    RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500=np.loadtxt(file_name, delimiter=",", unpack=False) 
    
    print(len(CainER_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500))
    CainER.append( np.mean(CainER_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500[np.where(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500==0)]))
    error_CaER.append((sta.sem(CainER_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500[np.where(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500==0)],axis=0)))
     
 
 

plt.errorbar(C_ers, CainER, yerr=error_CaER,color='g',label='N=100 no pumps',linewidth=10) 
 
plt.legend(fontsize=26).draggable()   

plt.tick_params(axis='both', which='major', labelsize=30)
plt.tick_params(axis='both', which='minor', labelsize=30)
plt.ylabel('Fraction of Ca  entering ER',fontsize=30)
plt.xlabel('Distance(nm)', fontsize=30) 