
"""
Created on Wed Feb 22 17:03:49 2017

@author: kanishka
""" 

import numpy as np
import matplotlib.pyplot as plt
import scipy.stats as sta
from scipy.optimize import curve_fit

from mpl_toolkits.mplot3d import Axes3D

import itertools
import six

import pandas as pd

import random
 

dt=1./10**7 #.01 ms


c=244.49539061
N_shots=40
times =np.linspace(0,2,N_shots)
y=c*(np.exp(-2.3*times )-np.exp(-2.31*times ))

input_times=(times/dt).astype(int)


total_number=300
input_ion_numbers=np.round(y*total_number/np.sum(y)).astype(int)

input_freq=input_times[1]
 
#plt.stem(times ,input_ion_numbers)

tau_RyR_steps=int(0.010/dt)    #10ms


allCaH=[]
allcalens=[]
#first calculate the maximum length

numtrials=2
 
num_ions_one_injection=2550
dist=20



for jj in range(numtrials): 
    print jj
    jj=jj+3
    #12 14 16
    file_name="noectopic_maxER2000_long_withslow_Cer"+str(dist)+"_N"+str(num_ions_one_injection)+"_jumptimes"+ str(jj)+".txt"
    jumptimes=np.loadtxt(file_name, delimiter=",", unpack=False).tolist()
    jumptimes   = [int(i) for i in jumptimes] 
    
    file_name="noectopic_maxER2000_long_withslow_Cer"+str(dist)+"_N"+str(num_ions_one_injection)+"_jumpsteps"+ str(jj)+".txt"
    jumpsteps=np.loadtxt(file_name, delimiter=",", unpack=False).tolist()
    jumpsteps  = [int(i) for i in jumpsteps]
     
    file_name="noectopic_maxER2000_long_withslow_Cer"+str(dist)+"_N"+str(num_ions_one_injection)+"_CainsideER"+ str(jj)+".txt"
    Ca_inER=np.loadtxt(file_name, delimiter=",", unpack=False).tolist() 
    Ca_inER   = [int(i) for i in Ca_inER] 

    for hh in range(len(jumptimes)):
        insertarray=Ca_inER[jumptimes[hh]]*np.ones(jumpsteps[hh])
        insertlest=insertarray.tolist()
        Ca_inER[jumptimes[hh]:jumptimes[hh]]=insertlest
            
    file_name="noectopic_maxER2000_long_withslow_Cer"+str(dist)+"_N"+str(num_ions_one_injection)+"_CainsideER_500downsampled"+ str(jj)+".txt"
    np.savetxt(file_name, np.array(Ca_inER)[::500] , delimiter="\t",fmt='%1.1f')    

