"""
Created on Wed Feb 22 17:03:49 2017

@author: kanishka
""" 

import numpy as np
import matplotlib.pyplot as plt
import scipy.stats as sta
from scipy.optimize import curve_fit

from mpl_toolkits.mplot3d import Axes3D

import itertools
import six

import pandas as pd

import random



#####inj 300
plt.figure() 
error_lines=[]
for hh in range(10): 
    if hh==2:
        hh=11
        
    if hh==5:
        hh=10 
        
    if hh==1 :
        file_name="noectopic_maxER2000_long_withslow_Cer20_N2550_CainsideER_500downsampled"+ str(hh)+".txt"  #print file_name
        Ca_er500=np.loadtxt(file_name, delimiter=",", unpack=False).tolist()[0:600000]
        times=np.array(range(len(Ca_er500)))*500/1e7
        plt.plot(times,Ca_er500,linewidth=2,color='b',label='single trials') 
        
    if hh==4 :
        file_name="noectopic_maxER2000_long_withslow_Cer20_N2550_CainsideER_500downsampled"+ str(hh)+".txt"  #print file_name
        Ca_er500=np.loadtxt(file_name, delimiter=",", unpack=False).tolist()[0:600000]
        times=np.array(range(len(Ca_er500)))*500/1e7
        plt.plot(times,Ca_er500,linewidth=2,color='dodgerblue',label='single trials') 
        
    if hh==9 :
        file_name="noectopic_maxER2000_long_withslow_Cer20_N2550_CainsideER_500downsampled"+ str(hh)+".txt"  #print file_name
        Ca_er500=np.loadtxt(file_name, delimiter=",", unpack=False).tolist()[0:600000]
        times=np.array(range(len(Ca_er500)))*500/1e7
        plt.plot(times,Ca_er500,linewidth=2,color='steelblue',label='single trials') 
        
    print hh
    file_name="noectopic_maxER2000_long_withslow_Cer20_N2550_CainsideER_500downsampled"+ str(hh)+".txt"  #print file_name
    Ca_er500=np.loadtxt(file_name, delimiter=",", unpack=False).tolist()[0:600000]
    error_lines.append(np.loadtxt(file_name, delimiter=",", unpack=False)[::39999])
    
error_bars=sta.sem(error_lines,axis=0) 
plt.errorbar(times[::39999], np.mean(error_lines,axis=0), yerr=error_bars,linewidth=3,color='red',label='mean') 


plt.legend(fontsize=26).draggable()    
plt.tick_params(axis='both', which='major', labelsize=30)
plt.ylabel('# of Calcium ions in ER',fontsize=30)
plt.xlabel('Time (s)', fontsize=30) 

plt.ylim([0,2300])


 