"""
Created on Wed Feb 22 17:03:49 2017

@author: kanishka
""" 
import numpy as np
import matplotlib.pyplot as plt
import scipy.stats as sta 
C_ers=np.array([-730,-680,-650,-600, -500])+750 #these are distances from membrane to ER center
#

RyR_Openprob=[]
error_times=[]
RyR_Opentime=[]

N_part=300
for ii in range(len(C_ers)):
    file_name="RyR_opn_time_RyR_bindingtime_10ms_dirac"+str(N_part)+"_SERCA_refr10ms_trans1s_dist"+str(C_ers[ii])+".txt"  #print file_name
    RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500=np.loadtxt(file_name, delimiter=",", unpack=False)*1e-4
    print(len(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500))
    RyR_Opentime.append( np.mean(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500[np.where(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500>0)]))
    error_times.append((sta.sem(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500[np.where(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500>0)],axis=0)))
    
    RyR_Openprob.append(1.0*np.sum(np.array(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500)>0)/len(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500) )
 
  
plt.subplot(211)
plt.plot(C_ers,RyR_Openprob ,color='r',label='N=300', linewidth=10)  

  
plt.subplot(212)
plt.errorbar(C_ers, RyR_Opentime, yerr=error_times,color='r',label='N=300',linewidth=10) 
 

 
RyR_Openprob=[]
error_times=[]
RyR_Opentime=[]

N_part=100
for ii in range(len(C_ers)):
    file_name="RyR_opn_time_RyR_bindingtime_10ms_dirac"+str(N_part)+"_SERCA_refr10ms_trans1s_dist"+str(C_ers[ii])+".txt"  #print file_name
    RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500=np.loadtxt(file_name, delimiter=",", unpack=False)*1e-4
    print(len(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500))
    RyR_Opentime.append( np.mean(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500[np.where(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500>0)]))
    error_times.append((sta.sem(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500[np.where(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500>0)],axis=0)))
    
    RyR_Openprob.append(1.0*np.sum(np.array(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500)>0)/len(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500) )
 
  
plt.subplot(211)
plt.plot(C_ers,RyR_Openprob ,color='black',label='N=100', linewidth=10) 
 
plt.subplot(212)
plt.errorbar(C_ers, RyR_Opentime, yerr=error_times,color='black',label='N=100',linewidth=10) 
 
RyR_Openprob=[]
error_times=[]
RyR_Opentime=[]

N_part=300
for ii in range(len(C_ers)):
    file_name="RyR_opn_time_RyR_bindingtime_10ms_dirac"+str(N_part)+"_SERCA_refr10ms_trans1s_dist"+str(C_ers[ii])+"_NOPUMPS.txt"  #print file_name
    RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500=np.loadtxt(file_name, delimiter=",", unpack=False)*1e-4
    print(len(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500))
    RyR_Opentime.append( np.mean(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500[np.where(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500>0)]))
    error_times.append((sta.sem(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500[np.where(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500>0)],axis=0)))
    
    RyR_Openprob.append(1.0*np.sum(np.array(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500)>0)/len(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500) )
  
plt.subplot(211)
plt.plot(C_ers,RyR_Openprob ,color='magenta',label='N=300 no pumps', linewidth=10)  

plt.subplot(212)
plt.errorbar(C_ers, RyR_Opentime, yerr=error_times,color='magenta',label='N=300 no pumps',linewidth=10) 
 
 

 
RyR_Openprob=[]
error_times=[]
RyR_Opentime=[]

N_part=100
for ii in range(len(C_ers)):
    file_name="RyR_opn_time_RyR_bindingtime_10ms_dirac"+str(N_part)+"_SERCA_refr10ms_trans1s_dist"+str(C_ers[ii])+"_NOPUMPS.txt"  #print file_name
    RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500=np.loadtxt(file_name, delimiter=",", unpack=False)*1e-4
    print(len(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500))
    RyR_Opentime.append( np.mean(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500[np.where(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500>0)]))
    error_times.append((sta.sem(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500[np.where(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500>0)],axis=0)))
    
    RyR_Openprob.append(1.0*np.sum(np.array(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500)>0)/len(RyR_opn_time_RyR_bindingtime_100ms_inj_p1_SERCAtrans10ms_refr10ms_distN500) )
 
#plt.errorbar(delays, RyR_Opentime, yerr=error_times,color='b',label='bound',linewidth=2) 

plt.subplot(211)
plt.plot(C_ers,RyR_Openprob ,color='g',label='N=100 No pumps', linewidth=10)  

plt.tick_params(axis='both', which='major', labelsize=30)
plt.tick_params(axis='both', which='minor', labelsize=30)
plt.ylabel('RyR open probability ',fontsize=30)
plt.xlabel('Distance(nm)', fontsize=30)
plt.xlim([0,260])
plt.ylim([0,1.1])
 
plt.legend(fontsize=26).draggable() 

plt.subplot(212)
plt.errorbar(C_ers, RyR_Opentime, yerr=error_times,color='g',label='N=100 No pumps',linewidth=10) 


 


plt.ylabel('Cond. Open time (first RyR) ms',fontsize=30)
plt.xlabel('Distance(nm)', fontsize=30)
plt.tick_params(axis='both', which='major', labelsize=30)
plt.tick_params(axis='both', which='minor', labelsize=30)
plt.xlim([0,260])
plt.show()

